Issue 114428 - ODFF: implement XOR spreadsheet function
Summary: ODFF: implement XOR spreadsheet function
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: recent-trunk
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: kla
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-09 20:18 UTC by ooo
Modified: 2017-05-20 11:43 UTC (History)
5 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ooo 2010-09-09 20:18:47 UTC
ODF OpenFormula defines the XOR function.
Comment 1 ooo 2010-09-09 20:22:56 UTC
In cws calcishmakkica:

changeset 528da6bfd0da
http://hg.services.openoffice.org/cws/calcishmakkica/changeset/528da6bfd0da
M formula/inc/formula/compiler.hrc
M formula/inc/formula/opcode.hxx
M formula/source/core/resource/core_resource.src
M sc/inc/scfuncs.hrc
M sc/inc/scmatrix.hxx
M sc/source/core/inc/interpre.hxx
M sc/source/core/tool/interpr1.cxx
M sc/source/core/tool/interpr4.cxx
M sc/source/core/tool/parclass.cxx
M sc/source/core/tool/scmatrix.cxx
M sc/source/ui/src/scfuncs.src

You can observe the progress and possible integration date of CWS calcishmakkica at
http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fcalcishmakkica

No import/export from/to Excel, Excel 2007 doesn't have this.
Comment 2 ooo 2011-02-17 16:14:22 UTC
Reassigning to QA for verification.
The latest ODF 1.2 OpenFormula draft is available at
http://www.oasis-open.org/committees/download.php/40744/OpenDocument-v1.2-csd06-rev02-part2.odt
Comment 3 kla 2011-02-28 14:53:21 UTC
seen ok in cws -> verified
Comment 4 Shenfeng Liu 2012-10-11 05:41:39 UTC
Clean up the Target Milestone from AOO 3.5.0, since it is a defect fixed before.
Comment 5 vulcain 2013-01-28 10:10:10 UTC
Resolved in LibreOffice 4.0:
https://bugs.freedesktop.org/show_bug.cgi?id=50882
Comment 6 Ariel Constenla-Haile 2013-01-28 15:08:09 UTC
(In reply to comment #5)

This bug was fixed in OpenOffice with the inclusion off CWS calcishmakkica in

revision 1381445
revision 1381446
revision 1381447
revision 1381448
revision 1381449
revision 1381450
revision 1381452

After that, LO took the code released under the Apache License.

> Resolved in LibreOffice 4.0:
> https://bugs.freedesktop.org/show_bug.cgi?id=50882

I find it inadmissible that you promote a fork using OpenOffice resources, like
this bugzilla